//---------------------------------------------------------------------------------------
//	NSData+MIME.h created by erik on Sun 12-Jan-1997
//	This code is part of the Alexandra Newsreader Project. For copyright details see
//	GNU public license version 2 or above. No warranties implied. Use at own risk.
//	More information can be found at <http://www.object-factory.com/Alexandra>.
//	@(#)$Id: NSData+MIME.h,v 1.4 1998/05/05 15:29:50 erik Exp $
//---------------------------------------------------------------------------------------

@interface NSData(MIMEExtensions_Alexandra)

- (NSData *)decodeContentWithTransferEncoding:(NSString *)encodingName;

- (NSData *)decodeBase64;
- (NSData *)encodeBase64;
- (NSData *)encodeBase64WithLineLength:(unsigned int)lineLength andNewlineAtEnd:(BOOL)endWithNL;

- (NSData *)encodeQuotedPrintable;
- (NSData *)decodeQuotedPrintable;

- (NSData *)decodeQuotedPrintable1522;
- (NSData *)encodeQuotedPrintable1522;
- (NSData *)encodeQuotedPrintable1522MustEscapeCharactersInString:(NSString *)escCharacters;

@end


extern NSString *MIME7BitContentTransferEncoding;
extern NSString *MIME8BitContentTransferEncoding;
extern NSString *MIMEBinaryContentTransferEncoding;
extern NSString *MIMEQuotedPrintableContentTransferEncoding;
extern NSString *MIMEBase64ContentTransferEncoding;

